- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeMatrix Class Reference
[Ipe Geometry]

Homogeneous transformation in the plane. More...

List of all members.

## Public Member Functions

- IpeMatrix ()
- IpeMatrix (const IpeLinear &linear)
- IpeMatrix (const IpeLinear &linear, const IpeVector &t)
- IpeMatrix (double m11, double m21, double m12, double m22, double t1, double t2)
- IpeMatrix (const IpeVector &v)
- IpeMatrix (IpeString str)
- IpeMatrix Inverse () const
- IpeVector operator * (const IpeVector &rhs) const
- IpeBezier operator * (const IpeBezier &rhs) const
- IpeVector Translation () const
- IpeLinear Linear () const
- bool IsIdentity () const
- bool operator== (const IpeMatrix &rhs) const

## Public Attributes

- double iA [6]

## Detailed Description

Homogeneous transformation in the plane.

## Constructor & Destructor Documentation

IpeMatrix::IpeMatrix | ( |  | ) | `[inline]`

Create identity matrix.

IpeMatrix::IpeMatrix | ( | const IpeLinear & | linear | ) | `[inline]`

Create linear matrix.

IpeMatrix::IpeMatrix | ( | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | t1,
|  | double | t2 |
| ) |  |  | `[inline, explicit]`

Create matrix with given coefficients.

IpeMatrix::IpeMatrix | ( | const IpeVector & | v | ) | `[inline, explicit]`

Create translation matrix.

IpeMatrix::IpeMatrix | ( | IpeString | str | ) | `[explicit]`

Parse string.

## Member Function Documentation

IpeMatrix IpeMatrix::Inverse | ( |  | ) | const

Return inverse.

IpeVector IpeMatrix::operator * | ( | const IpeVector & | rhs | ) | const`[inline]`

Matrix times vector.

IpeBezier IpeMatrix::operator * | ( | const IpeBezier & | rhs | ) | const`[inline]`

Transform Bezier spline.

IpeVector IpeMatrix::Translation | ( |  | ) | const`[inline]`

Return translation component.

IpeLinear IpeMatrix::Linear | ( |  | ) | const`[inline]`

Return linear transformation component of this affine transformation.

bool IpeMatrix::IsIdentity | ( |  | ) | const`[inline]`

Is this the identity matrix?

bool IpeMatrix::operator== | ( | const IpeMatrix & | rhs | ) | const`[inline]`

Check for equality of two matrices.

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp